Kirjoittaja Aihe: Postgresql-apuja  (Luettu 2197 kertaa)

New_user

  • Käyttäjä
  • Viestejä: 1096
    • Profiili
Postgresql-apuja
« : 18.07.12 - klo:14.13 »
Onko tuohon tietokantaohjelmistoon mitää graafista kilkettä, jolla kantaa/tauluja voisi luoda ja hallita. PGdesignerillä en ainakaan pysty tekemään mitään järkevää, ja kannan luominen päättyy virheeseen "kantaa ei ole olemassa". No ei tietenkään, kun sitä vasta luodaan.

PgAdmininillakaan ei voi kantoja ja tauluja luoda. Miksi Postgres, no joo, siihen saisi Postgis-lisukkeet, ja yhteensopiva sitten esim. Geoserverin kanssa. Kyllä tänä päivänä on itsestään selvää, että graafisessa ympäristössä pitää olla työkalut myös tietokantohin. MySQL:ää kokeilin muutama vuosi sitten, ja sille oli aika hyvin työkaluja.

EDIT: Äh, kyllähän PgAdminilla saa luotua kannan ja taulun. Logiikka vaan ei meinannut avautua heti. No, kaikkia hyviä vinkkejä saa silti tulla Postgressin tiimoilta.
« Viimeksi muokattu: 18.07.12 - klo:14.58 kirjoittanut New_user »

anttimr

  • Käyttäjä
  • Viestejä: 1625
    • Profiili
Vs: Postgresql-apuja
« Vastaus #1 : 18.07.12 - klo:17.02 »
Ubuntu 12.10 Quantal Quetzal

_Pete_

  • Käyttäjä
  • Viestejä: 1627
  • Fufufuuffuuu
    • Profiili
Vs: Postgresql-apuja
« Vastaus #2 : 18.07.12 - klo:17.26 »
Vinkki: hyvän kannan olet valinnut!
bananapi / rapi2 / vServer

New_user

  • Käyttäjä
  • Viestejä: 1096
    • Profiili
Vs: Postgresql-apuja
« Vastaus #3 : 18.07.12 - klo:20.31 »
Kiitos kiitos. Voi olla hyväkin kanta, mutta ainakin alkuun ehdottomasti hankalin, minkä kanssa olen ollut tekemisissä. Edellinen yritys joskus parisen vuotta sitten ei onnistunut alkuunkaan. Tässäkin jo oletuskäyttäjän (postgres) salasana oli kaataa taas koko homman. Nykyaikaistamista ja käyttöönoton selkeyttämistä tarvittaisiin roppakaupalla. Vaikka ohjelma on ilmainen, tuottavuus voi silti olla hirveän huono, jos aikaa palaa perusasioiden parissa tuhottomasti. Sinä aikana, kun iltapäivällä yritin päästä kantaan kiinni, olisin selkeällä ohjelmistolla luonut isommankin kannan monilla tauluilla, relaatiot kuntoon jne.


zepotus

  • Käyttäjä
  • Viestejä: 271
    • Profiili
Vs: Postgresql-apuja
« Vastaus #4 : 19.07.12 - klo:16.42 »
itse käytin projektissani postgre kantaa. Alussa oli turhauttavaa, kun oli tehnyt kaiken aiemmin mySQLlla.

Mutta alkuhankaluuksien jälkeen tuntuu itsestänikin paremmalta valinnalta. Rivejä on paljon, eikä tunnu tehottomalla raudalla hyytyvän...
Ubuntu 12.04 64-bit (i5-750 @ 3.8 Ghz, 4Gt, OCZ Agility 3 60Gt, 150Gt Raptor + 500 Gt + 1000 Gt, GT240 nvidia)

New_user

  • Käyttäjä
  • Viestejä: 1096
    • Profiili
Vs: Postgresql-apuja
« Vastaus #5 : 19.07.12 - klo:18.15 »
itse käytin projektissani postgre kantaa. Alussa oli turhauttavaa, kun oli tehnyt kaiken aiemmin mySQLlla.

Mutta alkuhankaluuksien jälkeen tuntuu itsestänikin paremmalta valinnalta. Rivejä on paljon, eikä tunnu tehottomalla raudalla hyytyvän...

Joo, kyllä turhauttaa. Taas kului osa päivästä siihen, että yritti ottaa selvää PgAdminin plugeista ja niiden asennuksesta Ubuntussa, mutta hukkaan kului sekin aika. Ei löydy paitsi plugineja, ei myöskään tietoa miten asentaa ne. Widowsin puolella kaikki kuuluisi asennuspakettiin, mutta eihän Ubuntussa... Lähinnä nyt oli mielessä Esri shape-tiedostojen import-plugin post-kantaan. Windowsin puolella ei viitsi myöskään aikaa tuhlata, koska karttapalvelin on kuitenkin non-win. No, toimii se palvelin suoraan sheipeilläkin, eipä silti.

anttimr

  • Käyttäjä
  • Viestejä: 1625
    • Profiili
Vs: Postgresql-apuja
« Vastaus #6 : 20.07.12 - klo:03.37 »
Onkohan sitä shapefile-loaderia edes olemassa? Lyö komentoriville seuraava komento.

Koodia: [Valitse]
shp2pgsql-gui
Ohjelma on sama, jota kaipaat PgAdmin:in liitännäiseksi. Shp:n vieminen PostGIS kantaan komentorivin kautta on selitetty esimerkiksi PostGIS:n omassa dokumentaatiossa ja monissa muissa paikoissa esimerkkien kera.

http://postgis.refractions.net/documentation/manual-1.5/ch04.html#shp2pgsql_usage
Ubuntu 12.10 Quantal Quetzal

Sami Lehtinen

  • Käyttäjä
  • Viestejä: 726
  • Techie
    • Profiili
    • Sami Lehtinen
Vs: Postgresql-apuja
« Vastaus #7 : 20.07.12 - klo:09.17 »
En osaa haasteitasi ratkaista, mutta ajattelin, että voisit tykätä tästä:
http://wekeroad.com/2012/07/19/postgresql-rising

New_user

  • Käyttäjä
  • Viestejä: 1096
    • Profiili
Vs: Postgresql-apuja
« Vastaus #8 : 20.07.12 - klo:09.34 »
Onkohan sitä shapefile-loaderia edes olemassa? Lyö komentoriville seuraava komento.

Koodia: [Valitse]
shp2pgsql-gui
Ohjelma on sama, jota kaipaat PgAdmin:in liitännäiseksi. Shp:n vieminen PostGIS kantaan komentorivin kautta on selitetty esimerkiksi PostGIS:n omassa dokumentaatiossa ja monissa muissa paikoissa esimerkkien kera.

http://postgis.refractions.net/documentation/manual-1.5/ch04.html#shp2pgsql_usage

Ei sitä gui-versiota todellakaan koneella ole, mutta vaikka ikääkin on jo karttunut, maailma on eri kuin komentorivi-Unixin aikaan, ja tässä maailmassa asiat tehdään graafisilla käyttöliittymillä. Juuri graafisuus on tehnyt tietokonemaailmasta sen, mikä se on, eli jokamiehen käyttöympäristön. Siksi kaikki komentorivijutut, joita vielä pitäisi dokumentoida ja opettaa muillekin, ovat pois suljettuja, valitan.
 

anttimr

  • Käyttäjä
  • Viestejä: 1625
    • Profiili
Vs: Postgresql-apuja
« Vastaus #9 : 20.07.12 - klo:10.28 »
Ei sitä gui-versiota todellakaan koneella ole, mutta vaikka ikääkin on jo karttunut, maailma on eri kuin komentorivi-Unixin aikaan, ja tässä maailmassa asiat tehdään graafisilla käyttöliittymillä. Juuri graafisuus on tehnyt tietokonemaailmasta sen, mikä se on, eli jokamiehen käyttöympäristön. Siksi kaikki komentorivijutut, joita vielä pitäisi dokumentoida ja opettaa muillekin, ovat pois suljettuja, valitan.

Olen sitä mieltä, että haluamaasi ympäristöä (PostgreSQL+PostGIS+Geoserver) on vaikeaa tai mahdotonta pystytää Ubuntun päälle edes kokeilu- ja opetteluluonteiseen käyttöön lähtien puhtaasta Ubuntu-asennuksesta ja Ubuntun (virallisista & epävirallisista) paketeista ilman, että välillä käytetään komentoriviä tai ainakin muokataan tekstipohjaisia asetustiedostoja. Saati sitten tuotantokäyttöön. Valmiiksi konfiguroidut koko setin sisältävät asennuspaketit tai GIS-demoamiseen koostetut virtuaalikoneet voivat olla gui-käytön puolesta helpompia. Mutta niistä minulla ei ole kokemusta.
Ubuntu 12.10 Quantal Quetzal

anttimr

  • Käyttäjä
  • Viestejä: 1625
    • Profiili
Vs: Postgresql-apuja
« Vastaus #10 : 20.07.12 - klo:10.44 »
Muuten, Ubuntuun ajantasalla pysyvät GIS-paketit julkaiseva UbuntuGIS-projekti ei tue enää käyttämääsi Nattya.

http://trac.osgeo.org/ubuntugis/wiki/SupportedDistributions

Nähtävästi koneellasi majaileva PostGIS on versiota 1.5.1 tai vanhempi. Tuo gui-loaderi olisi sitten tarjolla 1.5.2 versiosta alkaen. PostGIS 2.0:n gui:ssa luvataan olevan myös massalataus, joka 1.5:n gui:sta puuttuu.
Ubuntu 12.10 Quantal Quetzal

New_user

  • Käyttäjä
  • Viestejä: 1096
    • Profiili
Vs: Postgresql-apuja
« Vastaus #11 : 25.07.12 - klo:08.41 »
Muuten, Ubuntuun ajantasalla pysyvät GIS-paketit julkaiseva UbuntuGIS-projekti ei tue enää käyttämääsi Nattya.

http://trac.osgeo.org/ubuntugis/wiki/SupportedDistributions

Nähtävästi koneellasi majaileva PostGIS on versiota 1.5.1 tai vanhempi. Tuo gui-loaderi olisi sitten tarjolla 1.5.2 versiosta alkaen. PostGIS 2.0:n gui:ssa luvataan olevan myös massalataus, joka 1.5:n gui:sta puuttuu.


Hei, ja kiitoksia. PostGis-versio on todellakin 1.5.1-5. Pitänee siis jossain vaiheessa päivitellä käyttöjärjestelmää. Työt ovat vain sellaisessa vaiheessa, että siihen saatan ryhtyä vasta ihan loppuvuodesta. Tuosta päivittymisestä; ainakin päivä pari sitten koneelle päivittyivät uudet versiot ainakin Quantum Gis, Geopublisher ja Atlasstyler ohjelmista http://qgis.org/debian natty main ja http://de.geopublishing.org/repository natty main -lähteistä.

Aikaisempaan viitaten tuo viimeksi mainittu repo ei tosiaan tarjoa lähdekoodia, eli se deb-src oli kotikoneellani väärin.